| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | Private Member Functions | Static Private Member Functions | Private Attributes | Static Private Attributes

# UnitTests_ReporterMsg::ReporterTest Class Reference

This is a test class for ReporterTest and is intended to contain all ReporterTest Unit Tests /summary> More...

List of all members.

## Public Member Functions
void | MyTestInitialize ()
void | DefaultReportStringConsoleTest ()
| A test for DefaultReportStringConsole /summary>
void | DefaultReportStringConsoleBasTest ()
| A test for DefaultReportStringConsoleBas /summary>
void | DefaultReportStringConsoleTimeStampTest ()
| A test for DefaultReportStringConsoleTimeStamp /summary>
void | DefaultReportStringMessageBoxTest ()
| A test for DefaultReportStringMessageBox /summary>
void | DefaultReserveReportMessageTest ()
| A test for DefaultReserveReportMessage /summary>
void | DefaultReserveReportMessageTest1 ()
| Another test for DefaultReserveReportMessage checking also what happens if reporter throws test exception /summary>
void | ReportTest ()
| A test for Report /summary>
void | ReportErrorTest ()
| A test for ReportError /summary>
void | ReportInfoTest ()
| A test for ReportInfo /summary>
void | ReportWarningTest ()
| A test for ReportWarning /summary>
void | ReviseExceptionTest ()
| A test for ReviseException /summary>
## Static Public Member Functions
static void | MyClassInitialize (TestContext testContext)
## Properties
TestContext | TestContext`[get, set]`
| Gets or sets the test context which provides information about and functionality for the current test run. /summary>
## Private Member Functions
string | checkExceptionMsg (string actualString, Exception ex)
string | checkReport (string errorlocation, string errormessage, Exception exc, string reportedString, ReporterConsoleMsgbox reporter)
string | checkExceptions (ApplicationException ex, Exception actualException, string messageaddition, Type newtype, bool sametype, bool keepmessage, bool oldasinner)
## Static Private Member Functions
static string | checkActualString (ReportType messagetype, string errorlocation, string errormessage, string actualString)
static void | setReporter (ReporterConsoleMsgbox reporter, ReportType messagetype, bool useWriter)
## Private Attributes
TestContext | testContextInstance
## Static Private Attributes
static string | path
static StreamReader | sr
static Random | random
static int | numReportTypes
static int | numFirstRepType
static string | message
static string | actualString
static ReportType | messagetype
static string | errorlocation
static string | errormessage
static bool | expected
static bool | actual
static int | numStartedTests

## Detailed Description

This is a test class for ReporterTest and is intended to contain all ReporterTest Unit Tests /summary>

## Member Function Documentation

static void UnitTests_ReporterMsg::ReporterTest::MyClassInitialize | ( | TestContext | testContext | ) | `[inline, static]`

void UnitTests_ReporterMsg::ReporterTest::MyTestInitialize | ( |  | ) | `[inline]`

void UnitTests_ReporterMsg::ReporterTest::DefaultReportStringConsoleTest | ( |  | ) | `[inline]`

A test for DefaultReportStringConsole /summary>

static string UnitTests_ReporterMsg::ReporterTest::checkActualString | ( | ReportType | messagetype,
|  | string | errorlocation,
|  | string | errormessage,
|  | string | actualString
| ) |  | `[inline, static, private]`

void UnitTests_ReporterMsg::ReporterTest::DefaultReportStringConsoleBasTest | ( |  | ) | `[inline]`

A test for DefaultReportStringConsoleBas /summary>

void UnitTests_ReporterMsg::ReporterTest::DefaultReportStringConsoleTimeStampTest | ( |  | ) | `[inline]`

A test for DefaultReportStringConsoleTimeStamp /summary>

void UnitTests_ReporterMsg::ReporterTest::DefaultReportStringMessageBoxTest | ( |  | ) | `[inline]`

A test for DefaultReportStringMessageBox /summary>

void UnitTests_ReporterMsg::ReporterTest::DefaultReserveReportMessageTest | ( |  | ) | `[inline]`

A test for DefaultReserveReportMessage /summary>

void UnitTests_ReporterMsg::ReporterTest::DefaultReserveReportMessageTest1 | ( |  | ) | `[inline]`

Another test for DefaultReserveReportMessage checking also what happens if reporter throws test exception /summary>

void UnitTests_ReporterMsg::ReporterTest::ReportTest | ( |  | ) | `[inline]`

A test for Report /summary>

string UnitTests_ReporterMsg::ReporterTest::checkExceptionMsg | ( | string | actualString,
|  | Exception | ex
| ) |  | `[inline, private]`

string UnitTests_ReporterMsg::ReporterTest::checkReport | ( | string | errorlocation,
|  | string | errormessage,
|  | Exception | exc,
|  | string | reportedString,
|  | ReporterConsoleMsgbox | reporter
| ) |  | `[inline, private]`

static void UnitTests_ReporterMsg::ReporterTest::setReporter | ( | ReporterConsoleMsgbox | reporter,
|  | ReportType | messagetype,
|  | bool | useWriter
| ) |  | `[inline, static, private]`

void UnitTests_ReporterMsg::ReporterTest::ReportErrorTest | ( |  | ) | `[inline]`

A test for ReportError /summary>

void UnitTests_ReporterMsg::ReporterTest::ReportInfoTest | ( |  | ) | `[inline]`

A test for ReportInfo /summary>

void UnitTests_ReporterMsg::ReporterTest::ReportWarningTest | ( |  | ) | `[inline]`

A test for ReportWarning /summary>

void UnitTests_ReporterMsg::ReporterTest::ReviseExceptionTest | ( |  | ) | `[inline]`

A test for ReviseException /summary>

string UnitTests_ReporterMsg::ReporterTest::checkExceptions | ( | ApplicationException | ex,
|  | Exception | actualException,
|  | string | messageaddition,
|  | Type | newtype,
|  | bool | sametype,
|  | bool | keepmessage,
|  | bool | oldasinner
| ) |  | `[inline, private]`

## Member Data Documentation

TestContext UnitTests_ReporterMsg::ReporterTest::testContextInstance`[private]`

string UnitTests_ReporterMsg::ReporterTest::path`[static, private]`

StreamReader UnitTests_ReporterMsg::ReporterTest::sr`[static, private]`

Random UnitTests_ReporterMsg::ReporterTest::random`[static, private]`

int UnitTests_ReporterMsg::ReporterTest::numReportTypes`[static, private]`

int UnitTests_ReporterMsg::ReporterTest::numFirstRepType`[static, private]`

string UnitTests_ReporterMsg::ReporterTest::message`[static, private]`

string UnitTests_ReporterMsg::ReporterTest::actualString`[static, private]`

ReportType UnitTests_ReporterMsg::ReporterTest::messagetype`[static, private]`

string UnitTests_ReporterMsg::ReporterTest::errorlocation`[static, private]`

string UnitTests_ReporterMsg::ReporterTest::errormessage`[static, private]`

bool UnitTests_ReporterMsg::ReporterTest::expected`[static, private]`

bool UnitTests_ReporterMsg::ReporterTest::actual`[static, private]`

int UnitTests_ReporterMsg::ReporterTest::numStartedTests`[static, private]`

## Property Documentation

TestContext UnitTests_ReporterMsg::ReporterTest::TestContext`[get, set]`

Gets or sets the test context which provides information about and functionality for the current test run. /summary>

The documentation for this class was generated from the following file:

- ReporterTest.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events